Subject: Re: [Idr] MIBs - peer description and prefix limits

From: john heasley <[email-masked]>
Date: Tue, 9 Sep 2008 21:08:55 +0000

Tue, Sep 09, 2008 at 04:55:04PM -0400, Jeffrey Haas:
> I was contacted off-list by Owe Gafford who does work on monitoring
> tools for an ISP regarding the BGP MIBv2 work.  He had two comments on
> the MIB work:
> 
> 1. He believes it would be operationally useful to include a text-based
> description of a peer.  Since many common router CLIs provide such a
> description string as part of their configuration this seems to be a
> good match for the MIB as part of the peer table. 
> 
> Would there be any concerns with adding an object to the MIB to support
> this?  

Add it.

> 2. He would like to see support for prefix limits to be visible in the
> MIB.  I believe this is probably not appropriate for the base BGP MIB
> since it's functionality that's not really covered by RFC 4271 or the
> base RFCs that we've previously discussed including in the MIB.  This is
> somewhat contradicted by RFC 4486 (BGP Cease Notification Message
> Subcodes) which includes a "maximum number of prefixes reached" code
> point.
> 
> In my opinion, this probably belongs in an extension MIB.  I can be
> argued out of this if there's a preponderance opinion in the other
> direction.

while you should know the configuration w/o asking the device, i can
see where this could be useful.  having it in a required RFC is useful
in that most ISPs use max-prefix configuration, thus forcing vendors
is helpful in the same spirit of having received prefix counters/nlri.

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr